+ Post New Thread
Page 358 of 595 FirstFirst ... 258 308 348 356 357 358 359 360 368 408 458 ... LastLast
Threads 8926 to 8950 of 14858

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 53,067
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 57,319
    18th Sep 2006 10:46 pm Go to last post
  1. Convert text to mtext in lisp?

    Subject Convert text to mtext in lisp? What lisp command to convert strings to mtext? I am looking for (or maybe making) a lisp routine that would change text to mtext by allowing...

    Started by muck‎, 24th Sep 2007 08:48 pm
    2 Pages
    1 2
    • Replies: 19
    • Views: 21,405
    27th Jul 2010 09:31 am Go to last post
  2. Production

    I have drawing that are labeling the lines at feet. It takes the nearest inches and rounds it off to the even number that is next. Example 10'-9" equals 12'. I want to learn how to take those...

    Started by fjaniswilshire-homes‎, 26th Jul 2010 02:14 pm
    multiple line count
    • Replies: 1
    • Views: 933
    27th Jul 2010 04:09 am Go to last post
  3. Y intersects along an arc_

    Hi Folks I am trying to identify points on an arc where if a horizontal line was drawn from a test point across the arc the result would be a list of on or two points where the Y coordinate...

    Started by ollie‎, 26th Jul 2010 07:34 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 2,110
    27th Jul 2010 04:00 am Go to last post
  4. F2S Lisp Routine - Help!

    Hello, I am trying to convert a toposurface from Revit into a solid so that I can cut voids into it (I am modelling a building made from underground tunnels.) The exported toposurface from Revit...

    Started by eash011‎, 26th Jul 2010 07:43 am
    • Replies: 1
    • Views: 1,892
    26th Jul 2010 09:52 pm Go to last post
  5. Force command LINEor PLine to jump by Inch units.

    hello Suppose that I have a drawing made in milimeters units, And I want to draw a line 3 units long , But these 3 units must be times in inch units (25.4) and drawn as 76.2 long. Which...

    Started by Tharwat‎, 26th Jul 2010 07:32 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 2,482
    26th Jul 2010 09:31 pm Go to last post
  6. Repetive problems solved with a LISP routine?

    I think i should post this here. Is it possible, in LISP, to make a routine that would perform the following items. 1. Copy a Layout 2. Rename the copied Layout with the Information...

    Started by Skybeorn‎, 26th Jul 2010 02:51 pm
    • Replies: 7
    • Views: 1,597
    26th Jul 2010 05:14 pm Go to last post
  7. Data Extraction

    Hey guys, I was wondering if anyone knew a way to get an automated data extraction. As in if I click a button it will go through the process of a data extraction & automatically pull out the...

    Started by camel_racer‎, 23rd Jul 2010 01:17 am
    • Replies: 8
    • Views: 3,142
    26th Jul 2010 07:33 am Go to last post
  8. finding a point on a REGION object

    Hiya again, I am trying to get z-coord from a region so I can move it to the current ucs z=0 position. I thought I could do it by setting the ucs to object, the object being a region but for...

    Started by MartinSomerville‎, 19th Apr 2010 09:05 am
    • Replies: 9
    • Views: 4,115
    25th Jul 2010 06:47 pm Go to last post
  9. real numbers in autolisp

    I have a lisp routine which reads point coordinates from excel sheet and inserts blocks at those points. All the points have 3 decimal places. For example 614332.785, 2619494.544 The routine...

    Started by gpd‎, 25th Jul 2010 09:57 am
    • Replies: 4
    • Views: 2,590
    25th Jul 2010 01:41 pm Go to last post
  10. Command Line return wrong value.

    Check this out in your Autocad command line: And here is the result: Why is that ? ... it's not return the same number which is 12.123456 And I tried to inserted into a text, and it come...

    Started by Michaels‎, 25th Jul 2010 11:37 am
    • Replies: 2
    • Views: 1,340
    25th Jul 2010 01:18 pm Go to last post
  11. Plot problem (reverse plot)

    Dear friends, Please refer attached drawing with arabic letters, Whenever we make plot, it will be plotted all the fonts reversely. If we see the Preview, it is correct but on print it is wrong. ...

    Started by muthu123‎, 25th Jul 2010 09:20 am
    • Replies: 1
    • Views: 3,074
    25th Jul 2010 12:11 pm Go to last post
  12. Question Roman numbering (incerment)

    Dear All HOW TO CREATE IT Roman numbering (incerment) I II III IV V

    Started by sachindkini‎, 13th Apr 2010 10:13 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 3,883
    24th Jul 2010 12:58 pm Go to last post
  13. Edited Bored LISP

    I recieved a lisp from Lee Mac. Bored.lsp Code is as follows: (defun c:bored ( / cir cnt gr lst n d ) ;; © Lee Mac 2010 (setq lst (list (getvar 'viewctr) (getvar 'viewctr)) cnt 0) ...

    Started by Hippe013‎, 23rd Jul 2010 08:28 pm
    • Replies: 9
    • Views: 2,223
    24th Jul 2010 02:01 am Go to last post
  14. I want to create a new block using an existing block, but only changing the name.

    I have a lisp routine to do this but I want the option of selecting a new name for the block OR a random block name that autocad makes. How would I modify this lisp routine to do that? The...

    Started by rsstoik‎, 23rd Jul 2010 06:54 pm
    • Replies: 6
    • Views: 2,998
    23rd Jul 2010 10:25 pm Go to last post
  15. Maybe Sys Vars caused my problem.

    Hi When I double click on a block to edit and the Message Box appears, the block name itself is not included in the pull down list automatically. so I have to look for it manually. What's the...

    Started by Michaels‎, 23rd Jul 2010 03:24 pm
    • Replies: 5
    • Views: 1,324
    23rd Jul 2010 07:31 pm Go to last post
  16. Inserting object using LISP

    I am wondering if there is a way to insert a block from file into an autocad drawing using a LISP script. I already have a script that does a bunch of stuff, but want to add a generic note in at a...

    Started by Kenter‎, 23rd Jul 2010 02:57 pm
    • Replies: 3
    • Views: 1,006
    23rd Jul 2010 06:47 pm Go to last post
  17. Itoa...

    Perfect example of what I'm looking for is: if you type in -insert it will remember the last block you've inserted and if you hit enter the routine continues with that block. I can't figure it...

    Started by Lt Dan's legs‎, 23rd Jul 2010 02:44 am
    • Replies: 6
    • Views: 1,830
    23rd Jul 2010 06:43 pm Go to last post
  18. How to pick a variable number or points

    In my routine I have to ask the user to pick some points, all the points he wants. To do that I've done like this and it works (setq points nil) (setq pt (getpoint "\nSelect a point:")) (while...

    Started by Alhazred‎, 23rd Jul 2010 12:24 pm
    • Replies: 5
    • Views: 1,233
    23rd Jul 2010 06:38 pm Go to last post
  19. Embarrassed Simple saveas LISP

    Hi guys, Need help with a really simple problem here... It's been a while since i've dealth with LISP, so i'm pretty rusty... I'm trying to create a simple save to file path kind of routine... The...

    Started by Hickoz_bro‎, 18th Jul 2010 11:32 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 5,579
    23rd Jul 2010 06:31 pm Go to last post
  20. Change pastel colors to alternative colors by layer & elements & blocks

    Hello! It's my first post. Here's my history with LISP. I've been using it for 2 days at work and so far I've been hacking and slashing trying to get a functioning LISP routine for Autocad 2008. ...

    Started by deucer‎, 21st Jul 2010 11:02 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 3,824
    23rd Jul 2010 06:13 pm Go to last post
  21. Custom linetypes thick to thin

    Hello all, I seem to be having a lot of trouble creating a linetype i just received on a set of drawings. its a thick line that thins out and back to thick kind of like long arrowheads back to back....

    Started by FRAPP84‎, 20th Jul 2010 09:16 pm
    • Replies: 5
    • Views: 3,115
    23rd Jul 2010 06:04 pm Go to last post
  22. To write a text

    I have an horizontal line, by selecting its vertexes my routine should put a text centered above the line. This is the code I've written, but it doesn't work, the problem occurs when the text should...

    Started by Alhazred‎, 20th Jul 2010 01:50 pm
    • Replies: 5
    • Views: 1,516
    23rd Jul 2010 02:34 pm Go to last post
  23. Please advice me best way to create slide

    dear all I’m Create a block manager 1000 block in my library how can make slide is every drg I’m tired to make every time open drg & zoom extend give command mslide & save Please advice me best...

    Started by autolisp‎, 23rd Jul 2010 12:38 pm
    • Replies: 3
    • Views: 2,031
    23rd Jul 2010 01:16 pm Go to last post
  24. entmake 3 entities under one veriable

    I am doing a little playing around and studying I want to know if I can shorten my code by placing (3) entities in one variable and then using one entmake to create all my entities. In my...

    Started by cadman6735‎, 22nd Jul 2010 02:55 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 3,215
    23rd Jul 2010 03:31 am Go to last post
  25. place text over line or pline using Visual Lisp

    Hi everyone, I need to write a function in Visual Lisp that will place text over a line or pline . The text would be relative in size or length to the line selected (this is not mandatory but nice)...

    Started by ziofel‎, 22nd Jul 2010 03:55 am
    • Replies: 7
    • Views: 3,357
    22nd Jul 2010 11:21 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts